﻿.loaderOverlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.4);
    z-index: 99999;
}

/* Center the loader */
.loader-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

/* Image size/style */
.loader-image {
    margin-top: 20%;
    width: 200px;
    height: 250px;
}
.loaderId {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.7);
    z-index: 9999;
}

.loaderbox {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.city-dropdown {
    top: -30px !important;
}


.hotel-slider-img {
    width: 100%;
    height: 400px;
    object-fit: cover;
    border-radius: 0.5rem;
}

.hotel-thumbnail-img {
    width: 100%;
    height: 100px;
    object-fit: cover;
    border-radius: 0.25rem;
    cursor: pointer;
}

.small-dropdown {
    max-height: 100px;
    overflow-y: auto;
    font-size: 14px;
    padding: 4px;
}

.table-responsive.custom-datatable-filter {
    overflow-x: auto !important;
}

    .table-responsive.custom-datatable-filter table.custom-table {
        width: 100% !important;
        table-layout: fixed !important;
        border-collapse: collapse !important;
    }

    .table-responsive.custom-datatable-filter th,
    .table-responsive.custom-datatable-filter td {
        word-wrap: break-word !important;
        word-break: break-word !important;
        white-space: normal !important;
        vertical-align: top !important;
        padding: 8px !important;
    }

    .table-responsive.custom-datatable-filter .room-name {
        display: block !important;
        word-break: break-word !important;
        white-space: normal !important;
        max-width: 250px !important;
    }

    .table-responsive.custom-datatable-filter th {
        background-color: #007bff !important;
        color: white !important;
        text-align: center !important;
    }


.modal-dialog.modal-xl {
    max-width: 90%;
    height: 90vh;
    margin: auto;
}

.modal-content {
    height: 100%;
}
